ServletOutputStream (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class ServletOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream

    @TransactionType(value=NOT_SUPPORTED)
    public abstract class ServletOutputStream

extends OutputStream

Provides an output stream for sending binary data to the client. A `ServletOutputStream` object is normally retrieved via the `ServletResponse.getOutputStream()` method.

This is an abstract class that the servlet container implements. Subclasses of this class must implement the `java.io.OutputStream.write(int)` method.

This Java Card class is a subset of the Java Servlet API 2.4 ServletOutputStream class. Some interfaces, methods and/or variables have been pruned, and/or other methods simplified, in an effort to reduce the size of this class and/or eliminate dependencies on unsupported features.

Since:
  Servlet 2.x, Java Card 3.0
See Also:
  `ServletResponse`

Constructor Summary
`protected` | `ServletOutputStream()` Does nothing, because this is an abstract class.

Method Summary
`void` | `print(boolean b)` Writes a `boolean` value to the client, with no carriage return-line feed (CRLF) character at the end.
`void` | `print(char c)` Writes a character to the client, with no carriage return-line feed (CRLF) at the end.
`void` | `print(int i)` Writes an int to the client, with no carriage return-line feed (CRLF) at the end.
`void` | `print(long l)` Writes a `long` value to the client, with no carriage return-line feed (CRLF) at the end.
`void` | `print(String s)` Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.
`void` | `println()` Writes a carriage return-line feed (CRLF) to the client.
`void` | `println(boolean b)` Writes a `boolean` value to the client, followed by a carriage return-line feed (CRLF).
`void` | `println(char c)` Writes a character to the client, followed by a carriage return-line feed (CRLF).
`void` | `println(int i)` Writes an int to the client, followed by a carriage return-line feed (CRLF) character.
`void` | `println(long l)` Writes a `long` value to the client, followed by a carriage return-line feed (CRLF).
`void` | `println(String s)` Writes a `String` to the client, followed by a carriage return-line feed (CRLF).

Methods inherited from class java.io.OutputStream
`close, flush, write, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletOutputStream

    protected ServletOutputStream()

  Does nothing, because this is an abstract class.

Method Detail

### print

    public void print(String s)
               throws IOException

  Writes a `String` to the client, without a carriage return-line feed (CRLF) character at the end.

  Parameters:
    `s` - the `String` to send to the client
  Throws:
    `IOException` - if an input or output exception occurred

### print

    public void print(boolean b)
               throws IOException

  Writes a `boolean` value to the client, with no carriage return-line feed (CRLF) character at the end.

  Parameters:
    `b` - the `boolean` value to send to the client
  Throws:
    `IOException` - if an input or output exception occurred

### print

    public void print(char c)
               throws IOException

  Writes a character to the client, with no carriage return-line feed (CRLF) at the end.

  Parameters:
    `c` - the character to send to the client
  Throws:
    `IOException` - if an input or output exception occurred

### print

    public void print(int i)
               throws IOException

  Writes an int to the client, with no carriage return-line feed (CRLF) at the end.

  Parameters:
    `i` - the int to send to the client
  Throws:
    `IOException` - if an input or output exception occurred

### print

    public void print(long l)
               throws IOException

  Writes a `long` value to the client, with no carriage return-line feed (CRLF) at the end.

  Parameters:
    `l` - the `long` value to send to the client
  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println()
                 throws IOException

  Writes a carriage return-line feed (CRLF) to the client.

  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println(String s)
                 throws IOException

  Writes a `String` to the client, followed by a carriage return-line feed (CRLF).

  Parameters:
    `s` - the `String` to write to the client
  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println(boolean b)
                 throws IOException

  Writes a `boolean` value to the client, followed by a carriage return-line feed (CRLF).

  Parameters:
    `b` - the `boolean` value to write to the client
  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println(char c)
                 throws IOException

  Writes a character to the client, followed by a carriage return-line feed (CRLF).

  Parameters:
    `c` - the character to write to the client
  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println(int i)
                 throws IOException

  Writes an int to the client, followed by a carriage return-line feed (CRLF) character.

  Parameters:
    `i` - the int to write to the client
  Throws:
    `IOException` - if an input or output exception occurred

### println

    public void println(long l)
                 throws IOException

  Writes a `long` value to the client, followed by a carriage return-line feed (CRLF).

  Parameters:
    `l` - the `long` value to write to the client
  Throws:
    `IOException` - if an input or output exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.